Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.cell.client
Class TextInputCell.ViewData

    java.lang.Object
      com.google.gwt.cell.client.TextInputCell.ViewData

Enclosing class:
  TextInputCell

    public static class TextInputCell.ViewData

extends java.lang.Object

The `ViewData` for this cell.

Constructor Summary
`TextInputCell.ViewData(java.lang.String value)` Construct a ViewData instance containing a given value.

Method Summary
`boolean` | `equals(java.lang.Object other)` Return true if the last and current values of this ViewData object are equal to those of the other object.
`java.lang.String` | `getCurrentValue()` Return the current value of the input element.
`java.lang.String` | `getLastValue()` Return the last value sent to the `ValueUpdater`.
`int` | `hashCode()` Return a hash code based on the last and current values.
`protected void` | `setCurrentValue(java.lang.String curValue)` Set the current value.
`protected void` | `setLastValue(java.lang.String lastValue)` Set the last value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextInputCell.ViewData

    public TextInputCell.ViewData(java.lang.String value)

  Construct a ViewData instance containing a given value.

  Parameters:
    `value` - a String value

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Return true if the last and current values of this ViewData object are equal to those of the other object.

  Overrides:
    `equals` in class `java.lang.Object`

### getCurrentValue

    public java.lang.String getCurrentValue()

  Return the current value of the input element.

  Returns:
    the current value String
  See Also:
    `setCurrentValue(String)`

### getLastValue

    public java.lang.String getLastValue()

  Return the last value sent to the `ValueUpdater`.

  Returns:
    the last value String
  See Also:
    `setLastValue(String)`

### hashCode

    public int hashCode()

  Return a hash code based on the last and current values.

  Overrides:
    `hashCode` in class `java.lang.Object`

### setCurrentValue

    protected void setCurrentValue(java.lang.String curValue)

  Set the current value.

  Parameters:
    `curValue` - the current value
  See Also:
    `getCurrentValue()`

### setLastValue

    protected void setLastValue(java.lang.String lastValue)

  Set the last value.

  Parameters:
    `lastValue` - the last value
  See Also:
    `getLastValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD